Bug 22649 - encrypt() function not supported
Summary: encrypt() function not supported
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 23180 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-21 07:42 UTC by Kent Howard
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-03 10:51:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:003 normal SHIPPED_LIVE : Updated mysql packages available for Red Hat Linux 7 2001-01-18 05:00:00 UTC

Description Kent Howard 2000-12-21 07:42:07 UTC
encrypt() always returns NULL which according to the documentation means
that the crypt() function "is not available on your system".  The MySQL
RPMS from the MySQL authors also appears to exibit this problem.  However
the 3.22.32 RPMS from the authors works fine.

Comment 1 Trond Eivind Glomsrxd 2000-12-26 23:13:12 UTC
Confirmed. I'll be looking closer into it (but recommend PostgreSQL anyway :)

Comment 2 Trond Eivind Glomsrxd 2001-01-03 10:51:07 UTC
*** Bug 23180 has been marked as a duplicate of this bug. ***

Comment 3 Trond Eivind Glomsrxd 2001-01-08 23:29:45 UTC
This should be fixed in 3.23.30-1, available soon from Rawhide:

mysql> select encrypt("hello");
+------------------+
| encrypt("hello") |
+------------------+
| AmIN6keVM5zyk    |
+------------------+
1 row in set (0.00 sec)

mysql>


Note You need to log in before you can comment on or make changes to this bug.